Package cx.ath.matthew.unix

# Class UnixSocketAddress

java.lang.Object
cx.ath.matthew.unix.UnixSocketAddress

public class UnixSocketAddress extends Object
Represents an address for a Unix Socket

## Constructor Summary

Constructors
Constructor
Description
`UnixSocketAddress(String path)`
Create the address.
`UnixSocketAddress(String path, boolean abs)`
Create the address.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`String`
`getPath()`
Return the path.
`int`
`hashCode()`
`boolean`
`isAbstract()`
Returns true if this an address for an abstract socket.
`String`
`toString()`
Return the Address as a String.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnixSocketAddress

public UnixSocketAddress(String path, boolean abs)
Create the address.

Parameters:
  `path` - The path to the Unix Socket.
  `abs` - True if this should be an abstract socket.

### UnixSocketAddress

public UnixSocketAddress(String path)
Create the address.

Parameters:
  `path` - The path to the Unix Socket.

## Method Details

### getPath

public String getPath()
Return the path.

### isAbstract

public boolean isAbstract()
Returns true if this an address for an abstract socket.

### toString

public String toString()
Return the Address as a String.

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`